[chirp_users] Ubuntu 20.04 chirp not found

Tony Ling tonyg7txu at gmail.com
Fri Jun 5 11:10:02 PDT 2020


My MATE 20.04 finds and installs the repo, but now I have a new problem, it
seems it needs the dependency python-future

chirpw
WARNING: python-future package is not available; chirp.drivers.anytone778uv
requires it
WARNING: python-future package is not available; chirp.drivers.ga510
requires it
WARNING: python-future package is not available; chirp.drivers.tk8180
requires it
WARNING: python-future package is not available; chirp.drivers.tmd710
requires it

(process:3886): Gtk-WARNING **: 19:06:35.432: Locale not supported by C
library.
Using the fallback 'C' locale.

Tony

On Fri, 5 Jun 2020 at 19:06, <wa0sbu at kslimmer.com> wrote:

> Pat;
>
> No confusion at all.  You can easily run Chirp on Ubuntu 20.04 and then on
> Mint 20 when its released.  Just install Python 2.7, edit your sources
> list.  Everything is back up and running.  You actually should at least try
> 20.04, it has quite a few new changes.  Worth the  install.
>
>
> On 6/5/20 12:49 PM, Pat Anderson wrote:
>
> There seems to be a lot of confusion here, and very complicated proposed
> solutions. The simplest solution is to revert your Ubuntu to any version
> that still include Pythons 2,7, which apparently anything  before 20.04  (I
> use 16.04 and have never felt compelled to get a newer version), then USE
> DAN SMTH'S repository and install according to his instructions. Here is a
> copy and paste from chirp.danplanet.com/projects/chirp//Downloads:
>
> If you are using Ubuntu linux (or a compatible variant such as Mint) you
> should install and use the PPA like this:
>
> sudo apt-add-repository ppa:dansmith/chirp-snapshots
> sudo apt-get update
> sudo apt-get install chirp-daily
>
>
> On Fri, Jun 5, 2020 at 10:26 AM Richard Shaw <hobbes1069 at gmail.com> wrote:
>
>> On Fri, Jun 5, 2020 at 12:22 PM <wa0sbu at kslimmer.com> wrote:
>>
>>> Richard, why not install Python 2.7 and be done with it?  Edit your
>>> sources list and you will receive the updates like you did before.
>>>
>>
>> I am. I'm building Python 2.7 from source within the flatpak sandbox
>> environment. The problem is it's not finding the gtk python module even
>> though it is getting built as well.
>>
>> Thanks,
>> Richard
>> _______________________________________________
>> chirp_users mailing list
>> chirp_users at intrepid.danplanet.com
>> http://intrepid.danplanet.com/mailman/listinfo/chirp_users
>> This message was sent to Pat Anderson at anderson5420 at gmail.com
>> To unsubscribe, send an email to
>> chirp_users-unsubscribe at intrepid.danplanet.com
>
>
> _______________________________________________
> chirp_users mailing listchirp_users at intrepid.danplanet.comhttp://intrepid.danplanet.com/mailman/listinfo/chirp_users
> This message was sent to Ken at wa0sbu at kslimmer.com
> To unsubscribe, send an email to chirp_users-unsubscribe at intrepid.danplanet.com
>
> _______________________________________________
> chirp_users mailing list
> chirp_users at intrepid.danplanet.com
> http://intrepid.danplanet.com/mailman/listinfo/chirp_users
> This message was sent to Tony Ling at tonyg7txu at gmail.com
> To unsubscribe, send an email to
> chirp_users-unsubscribe at intrepid.danplanet.com
-------------- next part --------------
An HTML attachment was scrubbed...
URL: http://intrepid.danplanet.com/pipermail/chirp_users/attachments/20200605/ccacc49d/attachment-0002.html 


More information about the chirp_users mailing list